Bug 828973 - Mars MIPS simulator crashes immediately
Mars MIPS simulator crashes immediately
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Mars (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 12:25 EDT by Michael Breedlove
Modified: 2013-07-04 03:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: Mars-4.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:57:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Breedlove 2012-06-05 12:25:06 EDT
Description of problem:
Mars jar crashes on launch.

Version-Release number: 4.1-4

Steps to Reproduce:
1. Execute either '/usr/bin/Mars' OR 'java -jar /usr/share/java/Mars.jar'
  
Actual results:
[mbreedlove@fedora-dev]~% Mars
Picked up _JAVA_OPTIONS: -Dswing.aatext=true -Dawt.useSystemAAFontSettings=on
Exception in thread "main" java.lang.NoClassDefFoundError: mars/MarsLaunch
        at Mars.main(Mars.java:39)
Caused by: java.lang.ClassNotFoundException: mars.MarsLaunch
        at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:356)
        ... 1 more


Expected results:
Program to execute without fatal error.


Additional info:
java-1.7.0-openjdk.x86_64
Version: 1.7.0.3
Release: 2.1.fc17.6

Downloading the current version, 4.2, from http://courses.missouristate.edu/KenVollmar/MARS/download.htm, and saving as /usr/share/java/Mars.jar appears to completely fix the issue.
Comment 1 Gustavo Maciel Dias Vieira 2013-03-25 16:06:20 EDT
The bug is still present in F18: Mars-4.1-5.fc18.noarch

Picked up _JAVA_OPTIONS: -Dswing.aatext=true -Dawt.useSystemAAFontSettings=on
Exception in thread "main" java.lang.NoClassDefFoundError: mars/MarsLaunch
	at Mars.main(Mars.java:39)
Caused by: java.lang.ClassNotFoundException: mars.MarsLaunch
	at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:356)
	... 1 more
Comment 2 Fedora Update System 2013-06-24 12:58:03 EDT
Mars-4.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/Mars-4.3-1.fc18
Comment 3 Fedora Update System 2013-06-24 12:58:13 EDT
Mars-4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Mars-4.3-1.fc19
Comment 4 Fedora Update System 2013-06-24 23:24:04 EDT
Package Mars-4.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Mars-4.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11621/Mars-4.3-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-03 20:57:00 EDT
Mars-4.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-03 20:58:45 EDT
Mars-4.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora End Of Life 2013-07-04 03:43:12 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.